
.side-menu {
  width: 100vw;
  height: 100vh;
  position: fixed;
  top: 0px;
  z-index: 999;
  background: rgb(0, 0, 0);
  background: rgba(0, 0, 0, 0.7);
}
.inner_menu {
  position: fixed !important;
  top: 0;
  right: 0;
  padding-top: 100px;
  padding-right: 3rem;
  width: 25%;
  height: 100vh;
  background-color: $white;
  position: relative;
  background-image: url('../images/side-menu-backgroud.png');
  z-index: 999;
  @include background(center, no-repeat, cover);
  .close-icon {
    position: absolute;
    top: 35px;
    right: 38px;
    cursor: pointer;
  }
  h3 {
    margin-top: 100px;
    color: $black;
    text-transform: uppercase;
    &:hover {
      transform: scale(1.02);
    }
  }
  h2 {
    color: $black;
    font-size: 1.1rem;
    font-weight: 400;
    &:hover {
      transform: scale(1.02);
    }
  }
  a {
    text-transform: uppercase;
    cursor: pointer;
  }
  ul {
    list-style: none;
    a {
      color: $gray;
      font-size: 0.9rem;
      margin: 0px;
      line-height: 1rem;
      padding-right: 0px;
      &:hover {
        transform: scale(1.02);
      }
    }
  }
  ul:last-child {
    margin-top: 100px;
    a {
      font-weight: 100;
    }
  }
  .side-menu-footer {
    position: absolute;
    width: 70%;
    bottom: 7%;
    left: 50%;
    transform: translate(-50%, 0px);
    .social-blue-icons {
      display: flex;
      position: static;
      flex-direction: row;
      height: inherit;
      a {
        font-size: 1.3rem;
        width: inherit;
        height: inherit;
        i {
          width: 1.8rem;
          height: 1.5rem;
          margin-right: 10px;
        }
      }
    }
    .global-flags {
      position: static;
      flex-direction: row;
      .icon {
        width: 1.6rem;
        height: 1.6rem;
        margin-right: 10px;
        &:not(:last-child) {
          margin-bottom: 7px;
        }
      }
    }

    small {
      color: $gray--100;
      a {
        text-transform: capitalize;
      }
    }
  }
}

@media (max-width: 1370px) {
  .side-menu {
    .inner_menu {
      width: 25%;
      background-color: $white;
      position: relative;

      h3 {
        margin-top: 80px;
        font-size: 1.8rem;
      }
      h2 {
        color: $black;
        font-size: 1rem;
      }
      a {
        text-transform: uppercase;
        font-size: 0.8rem;
      }
      ul {
        list-style: none;
        .nav-link {
          padding: 5px 0;
        }
        a {
          color: $gray;
        }
      }
      ul:last-child {
        margin-top: 100px;
        a {
          font-weight: 100;
        }
      }
    }

    .side-menu-footer {
      position: absolute;
      width: 70%;
      bottom: 50px;
      left: 50%;
      transform: translate(-50%, 0px);

      small {
        color: $gray--100;
        a {
          text-transform: capitalize;
        }
      }
    }
  }
}
@media (max-width: 1200px) {
  .inner_menu {
    width: 35%;
  }
}
@media (max-width: 768px) {
  .inner_menu {
    width: 75%;
    padding-top: 100px;

    height: 100vh;
    margin-top: 0px;
    top: 0px;
    z-index: 999999;
    i {
      right: 49px;
      top: 46px;
    }
    .global-flags {
      display: flex;
      flex-direction: column;
      position: absolute;
      bottom: 51px;
      right: 18%;
      .icon {
        width: 1.6rem;
        height: 1.6rem;
        &:not(:last-child) {
          margin-bottom: 7px;
        }
      }
    }
  }
}
@media (min-width: 280px) and(max-width: 420px) and (min-height: 500px) and(max-height: 600px) {
  .inner_menu {
    padding-top: 66px;
    .side-menu-footer {
      position: relative;
      width: fit-content;
      margin-top: 20px;
      small {
        display: flex;
        align-items: center;
        a {
          text-transform: capitalize;
        }
      }
    }
  }
}
@media only screen and (max-device-height: 700px) {
  .inner_menu {
    .side-menu-footer {
      bottom: 4%;
    }
  }
}
// @media (min-height: 540px) and (max-height: 740px) {
//   .inner_menu{
//     padding-top: 66px;
//     .side-menu-footer{
//       bottom: 1%;
//     }
//     .global-flags{
//       margin-bottom: -7px;
//     }
//   }
// }
@media only screen and (device-width: 360px) and (device-height: 740px) and (-webkit-device-pixel-ratio: 3) {
  .inner_menu {
    padding-top: 166px;
    .side-menu-footer {
      bottom: 5%;
    }
    .global-flags {
      margin-bottom: -0px;
    }
  }
}
// @media (max-height: 590px) {
//   .inner_menu {
//     padding-top: 33px;
//     padding-right: 6rem;
//   }
// }
@media (max-height: 532px)and (orientation: portrait){
  .inner_menu {
   
    a{
    font-size: 0.7rem;

    }
    ul {
   a{
     font-size: 0.7rem;
   }
    }
    .side-menu-footer{
      margin-top: 0px;
    }
    .side-menu-footer .global-flags .icon, .side-menu-footer .social-blue-icons .icon {
      width: 1rem;
      height: 1rem;
    }
  }
}
@media (max-height: 500px) and (orientation: portrait){
  .inner_menu {
    padding-top:33px;
    padding-right: 6rem;
    .side-menu-footer{
      bottom: 12% !important;
    }
    // .side-menu-footer .global-flags .icon, .side-menu-footer .social-blue-icons .icon {
    //   width: 1rem;
    //   height: 1rem;
    // }
  }
}
@media (max-height: 505px)and (orientation: landscape){
  .inner_menu {
    width: 90%;
    padding-top: 63px;
    a{
      margin-right: 20px;

    }
    ul {
      position: absolute;
      top:55px;
    }
  
    .ul-2 {
      left: 33%;
    }
  }
}


@media only screen and (max-width:500px) and (orientation:portrait){
  .inner_menu .side-menu-footer{
    bottom:12%;
  }
}

.text-underline{
  text-decoration: underline;
}